* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: Arial, sans-serif;
  background-color: #f5f5f5;
  padding: 24px;
}

.main {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.actionRowsWrap {
  justify-content:center;
  display: flex;
  flex-direction: row;
  gap: 50px;
}

#backgroundImage{
  position: absolute;
  z-index: 0;
  top: 0px;
  width: 800px;
  height: 800px;
  object-fit: cover; 
}

.actionRow {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 12px;
}

.actionRow label {
  display: flex;
  align-items: center;
  gap: 8px;
}

button {
  display: inline-block;
  padding: 0 16px;
  border-radius: 8px;
  height: 40px;

  background-color: #00967d;
  /* Green #4caf50;*/
  border: none;

  color: #fff;
  text-align: center;
  font-size: 16px;

  cursor: pointer;
  transition-duration: 0.4s;
}

button:hover {
  background-color: rgb(7, 94, 84);
}

.videoSectionWrap {
  position: relative;

  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
}

.actionRow.switchRow {
  width: 100%;

  justify-content: center;
}

.switchRow {
  flex-direction: column;
}

.switchRow>label {
  width: 100%;

  display: flex;
  justify-content: center;
}

.switchRow>label input {
  flex: 1;
  max-width: 500px;
}

.videoSectionWrap .videoWrap {
  display: flex;
  justify-content: center;
  align-items: center;  
}

.videoWrap .videoEle {
  width: 100%;
  max-height: 800px;
  z-index: 1;
}

.videoWrap {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 800px;
  max-height: 800px;
}

#assistantText {
  position: absolute;
  bottom: 80px;
  padding-inline-start: 20px;
  padding-inline-end: 20px;
  padding-bottom: 10px;
  padding-top: 10px;
  background-color: rgba(22, 23, 26, 0.6);
  color: white;
  font-size: 14px;
  font-weight: 400;
  margin: 0 20px;
  display: none;
  line-height: 20px;
  z-index: 3;
}

.overlay {
  position: absolute;
  bottom: 20px;
  display: flex;
  gap: 10px;
  width: 100%;
  justify-content: center;
  padding-inline-start: 20px;
  padding-inline-end: 20px;
  z-index: 2;
}

#taskInput {
  height: 40;
  width: 100%;
  padding: 0 12px;
  font-size: 16px;
}

.videoButtons {
  height: 40px;
  padding: 0 16px;
  border-radius: 8px;
  background-color: #00967d;
  border: none;
  color: #fff;
  text-align: center;
  font-size: 16px;
  cursor: pointer;
  transition-duration: 0.4s;
}

#placeholderDiv {
  position: absolute;
  top: 0px;
}

.videoButtons:hover {
  background-color: rgb(7, 94, 84);
}

.logo {
  position: absolute;
}

.background-item {
  max-width:120px;
  object-fit: cover;
  display: block;
  padding-inline-start: 5px;
}

.background-item img,
.background-item video {
  width: 115px;
  height: auto;
  display: block;
}

#startBtn {
  position: absolute;
  top: 48%;
  left: 48%;
  width: 100px;
  height: 50px;
  z-index: 4;
}

.startBackground{
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1;
}

#placeholderImage {
  min-width: 100%;
  height: 100%;
  max-width: 800px;
}

/*---------- Switch END ----------*/

.videoSectionWrap .hide {
  display: none;
}

.videoSectionWrap .show {
  display: flex;
}

.hide {
  display: none;
}

.show {
  display: flex;
}

/*---------- Dropdown ----------*/
.dropbtn {
  background-color: white;
  color: black;
  padding: 10px;
  font-size: 16px;
  border: 1px solid black;
  text-align: center;
  min-width: 150px;
  transition: background-color 0.3s ease, border-color 0.3s ease;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: whitesmoke;
  min-width: 150px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 2;
  border: 1px solid lightgray;
  border-radius: 4px;
  overflow: hidden;
}

.dropdown-content div {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  transition: background-color 0.3s ease;
}

.dropdown-content div:hover {
  background-color: #f1f1f1;
}

.dropdown:hover .dropdown-content {
  display: block;
}

.dropdown.disable-hover .dropdown-content {
  display: none;
}

.dropdown.disable-hover .dropbtn {
  background-color: lightgray;
  border-color: gray;
}

.dropdown.disable-hover:hover .dropbtn {
  background-color: lightgray;
}

.dropdown:hover .dropbtn {
  background-color: lightseagreen;
  border-color: lightseagreen;
}

/*---------- Audio ----------*/
.audioDisplay{
  width: 100%;
  padding: 25px 0;
  margin: 12px 0;
}

.audioControllers{
  width: 100%;
  padding: 25px 0;
  margin: 12px 0;
}